#declare Temp_Vers = version
#version 3.0

/*
 * A terraced marble archway. It is placed straddling
 * the origin, running along the X axis. The arch is 20 units
 * high at its center, and 20 units wide. It was designed
 * for 1 POVunit == 1 foot.
 *
 * Last modified 6/27/98 by Denton Gentry.
 * This file is in the public domain, and
 * is free for derivative use.
 */

#ifdef ( T_archway )
#else
#declare T_archway = texture { T_Stone13 }
#end

#declare Archway = union {
	difference {
		union {
			cylinder { <0, 10, -3>, <0, 10, 3>, 10 }
			box { <-10, 0, -3>, < 10, 10, 3> }
		}
		union {
			cylinder { <0, 9.5, -4>, <0, 9.5, 4>, 9 }
			box { <-9, 0, -4>, < 9, 9.5, 4> }
		}
	}

	difference {
		union {
			cylinder { <0, 9.5, -2.5>, <0, 9.5, 2.5>, 9 }
			box { <-9, 0, -2.5>, < 9, 9.5, 2.5> }
		}
		union {
			cylinder { <0, 9, -4>, <0, 9, 4>, 8 }
			box { <-8, 0, -4>, < 8, 9, 4> }
		}
	}
	difference {
		union {
			cylinder { <0, 9, -2>, <0, 9, 2>, 8 }
			box { <-8, 0, -2>, < 8, 9, 2> }
		}
		union {
			cylinder { <0, 8.5, -4>, <0, 8.5, 4>, 7 }
			box { <-7, 0, -4>, < 7, 8.5, 4> }
		}
	}

	texture { T_archway }
}

#version Temp_Vers
